@import "../../../../styles/index.scss";

.cart {
  &-product {
    position: relative;
    border-radius: 30px;
    padding: 16px 18px 27px 22px;
    background: $white;
    display: flex;
    flex-direction: column;
    gap: 19px;
  }

  &-price {
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    color: #aaaaaa;

    &.black {
      color: $color-primary;
    }
  }

  &-name {
    font-weight: 500;
  }
}

.product {
  &-count {
    font-size: 15px;
    font-weight: 600;
  }

  &-info {
    display: flex;
    align-items: center;
    gap: 24px;

    img {
      width: 146px;
    }
  }

  &-detail {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  &-count {
    display: flex;
    justify-content: space-between;
    padding: 0 16px 0;
  }
}

.container-btn {
  display: flex;
  align-items: center;
  gap: 22px;
}

.btn-decrement,
.btn-increment {
  background: $light-yellow;
  border: none;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  color: $white;
}

.btn-delete {
  position: absolute;
  top: 18px;
  right: 28px;
  cursor: pointer;
}
